package com.izouma.awesomeadmin.service;

import java.util.*;
import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.OrderInvoice;


/**
*  service接口类
*/
public interface OrderInvoiceService{

    List<OrderInvoice> getOrderInvoiceList(OrderInvoice record);

    List<OrderInvoice> getOrderInvoiceByPage(Page page, OrderInvoice record);

    OrderInvoice getOrderInvoiceById(String id);

    OrderInvoice getOrderInvoice(OrderInvoice record);

    boolean createOrderInvoice(OrderInvoice record);

    boolean deleteOrderInvoice(String id);

    boolean updateOrderInvoice(OrderInvoice record);
}

